org.wso2.carbon.mdm.services.android.bean.wrapper

## Class AndroidApplication

- java.lang.Object
- - org.wso2.carbon.mdm.services.android.bean.wrapper.AndroidApplication

- All Implemented Interfaces:
    Serializable

      public class AndroidApplication
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidApplication()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getApplicationIdentifier()`
    `Properties` | `getAppProperties()`
    `String` | `getCategory()`
    `int` | `getId()`
    `String` | `getImageUrl()`
    `String` | `getLocationUrl()`
    `int` | `getMemoryUsage()`
    `String` | `getName()`
    `String` | `getPlatform()`
    `String` | `getType()`
    `String` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `isActive()`
    `void` | `setActive(boolean active)`
    `void` | `setApplicationIdentifier(String applicationIdentifier)`
    `void` | `setAppProperties(Properties appProperties)`
    `void` | `setCategory(String category)`
    `void` | `setId(int id)`
    `void` | `setImageUrl(String imageUrl)`
    `void` | `setLocationUrl(String locationUrl)`
    `void` | `setMemoryUsage(int memoryUsage)`
    `void` | `setName(String name)`
    `void` | `setPlatform(String platform)`
    `void` | `setType(String type)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidApplication

          public AndroidApplication()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getLocationUrl

          public String getLocationUrl()

    - #### setLocationUrl

          public void setLocationUrl(String locationUrl)

    - #### getImageUrl

          public String getImageUrl()

    - #### setImageUrl

          public void setImageUrl(String imageUrl)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getPlatform

          public String getPlatform()

    - #### setPlatform

          public void setPlatform(String platform)

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory(String category)

    - #### getApplicationIdentifier

          public String getApplicationIdentifier()

    - #### setApplicationIdentifier

          public void setApplicationIdentifier(String applicationIdentifier)

    - #### getMemoryUsage

          public int getMemoryUsage()

    - #### setMemoryUsage

          public void setMemoryUsage(int memoryUsage)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getAppProperties

          public Properties getAppProperties()

    - #### setAppProperties

          public void setAppProperties(Properties appProperties)

    - #### isActive

          public boolean isActive()

    - #### setActive

          public void setActive(boolean active)

Copyright © 2017 WSO2. All rights reserved.